> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/reports/async-audience-performance

> This Statistics endpoint provides an export Id that lets you retrieve data.



## OpenAPI

````yaml https://api.criteo.com/preview/marketingsolutions/open-api-specifications.json post /preview/reports/async-audience-performance
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /preview/reports/async-audience-performance:
    post:
      tags:
        - Analytics
      summary: /preview/reports/async-audience-performance
      description: >-
        This Statistics endpoint provides an export Id that lets you retrieve
        data.
      operationId: GetAsyncAudienceReport
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateAudiencePerformanceReportRequest'
          application/xml:
            schema:
              $ref: '#/components/schemas/GenerateAudiencePerformanceReportRequest'
          text/xml:
            schema:
              $ref: '#/components/schemas/GenerateAudiencePerformanceReportRequest'
          application/*+xml:
            schema:
              $ref: '#/components/schemas/GenerateAudiencePerformanceReportRequest'
      responses:
        '202':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketingSolutionsReportStatusResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/MarketingSolutionsReportStatusResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/MarketingSolutionsReportStatusResponse'
      security:
        - oauth:
            - MarketingSolutions_Analytics_Read
components:
  schemas:
    GenerateAudiencePerformanceReportRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/GenerateAudiencePerformanceReportResource'
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value object.
    MarketingSolutionsReportStatusResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/MarketingSolutionsReportStatusResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Errors that occured during this call.
          nullable: true
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          description: Warnings that occured during this call.
          nullable: true
          readOnly: true
      additionalProperties: false
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        entity.
    GenerateAudiencePerformanceReportResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/GenerateAudiencePerformanceReport'
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A value resource exposed by the API.
    MarketingSolutionsReportStatusResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/MarketingSolutionsReportStatus'
        id:
          type: string
          description: Unique id of the entity.
          nullable: true
        type:
          type: string
          description: Type of the resource.
          nullable: true
      additionalProperties: false
      description: A domain entity exposed by the API, identified by a unique id.
      nullable: true
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    GenerateAudiencePerformanceReport:
      required:
        - advertiserId
        - dimension
        - endDate
        - metrics
        - startDate
      type: object
      properties:
        adSetIds:
          type: array
          items:
            type: string
          description: The list of adSets ids. If empty, all the adSets will be fetched.
          nullable: true
        advertiserId:
          type: string
          description: The advertiser id
        audienceIds:
          type: array
          items:
            type: string
          description: >-
            The list of Audiences ids. If empty, all the Audiences will be
            fetched.
          nullable: true
        currency:
          type: string
          description: >-
            The currency used for the report. ISO 4217 code (three-letter
            capitals).
          nullable: true
        dimension:
          enum:
            - Top30BrandsByDisplays
            - Top30BrandsByClicks
            - Top30BrandsBySales
            - Top30InterestsByDisplays
            - Top30InterestsByClicks
            - Top30InterestsBySales
          type: string
          description: The dimension for the report.
        endDate:
          type: string
          description: >-
            End date of the report. Date component of ISO 8061 format, any time
            or timezone component is ignored.
          format: date-time
        metrics:
          type: array
          items:
            enum:
              - Clicks
              - Displays
              - Visits
              - Sales
              - Revenue
              - CostPerVisit
              - ExposedUsers
            type: string
          description: The list of metrics to report.
        segmentsIds:
          type: array
          items:
            type: string
          description: >-
            The list of Segments ids. If empty, all the segments will be
            fetched.
          nullable: true
        startDate:
          type: string
          description: >-
            Start date of the report. Date component of ISO 8061 format, any
            time or timezone component is ignored.
          format: date-time
        timezone:
          type: string
          description: >-
            Optional timezone used for the report. Timezone Database format
            (Tz).
          nullable: true
      additionalProperties: false
      description: Request attributes for async audience performance report
    MarketingSolutionsReportStatus:
      type: object
      properties:
        message:
          type: string
          nullable: true
        status:
          enum:
            - Unknown
            - Pending
            - Done
            - Failure
            - Expired
          type: string
          nullable: true
      additionalProperties: false
      description: >-
        Object containing the status of report request and an associated
        message.
      nullable: true
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````